## r-bioc-matrixgenerics 1.2.1

=== DESCRIPTION ===
Package: MatrixGenerics
Title: S4 Generic Summary Statistic Functions that Operate on
        Matrix-Like Objects
Description: S4 generic functions modeled after the 'matrixStats' API
    for alternative matrix implementations. Packages with alternative matrix
    implementation can depend on this package and implement the generic
    functions that are defined here for a useful set of row and column
    summary statistics. Other package developers can import this package
    and handle a different matrix implementations without worrying
    about incompatibilities.
biocViews: Infrastructure, Software
URL: https://bioconductor.org/packages/MatrixGenerics
BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
Version: 1.2.1
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(person("Constantin", "Ahlmann-Eltze",
                email = "artjom31415@googlemail.com", role = c("aut"),
                comment = c(ORCID = "0000-0002-3762-068X")),
            person("Peter", "Hickey", role = c("aut", "cre"),
                email = "peter.hickey@gmail.com",
                comment = c(ORCID = "0000-0002-8153-6258")),
            person("Hervé", "Pagès", email = "hpages.on.github@gmail.com",
                role = "aut"))
Depends: matrixStats (> 0.57.0)
Imports: methods
Suggests: sparseMatrixStats, DelayedMatrixStats, SummarizedExperiment,
        testthat (>= 2.1.0)
RoxygenNote: 7.1.1
Roxygen: list(markdown = TRUE, old_usage = TRUE)
Collate: 'MatrixGenerics-package.R' 'rowAlls.R' 'rowAnyNAs.R'
        'rowAnys.R' 'rowAvgsPerColSet.R' 'rowCollapse.R' 'rowCounts.R'
        'rowCummaxs.R' 'rowCummins.R' 'rowCumprods.R' 'rowCumsums.R'
        'rowDiffs.R' 'rowIQRDiffs.R' 'rowIQRs.R' 'rowLogSumExps.R'
        'rowMadDiffs.R' 'rowMads.R' 'rowMaxs.R' 'rowMeans2.R'
        'rowMedians.R' 'rowMins.R' 'rowOrderStats.R' 'rowProds.R'
        'rowQuantiles.R' 'rowRanges.R' 'rowRanks.R' 'rowSdDiffs.R'
        'rowSds.R' 'rowSums2.R' 'rowTabulates.R' 'rowVarDiffs.R'
        'rowVars.R' 'rowWeightedMads.R' 'rowWeightedMeans.R'
        'rowWeightedMedians.R' 'rowWeightedSds.R' 'rowWeightedVars.R'
git_url: https://git.bioconductor.org/packages/MatrixGenerics
git_branch: RELEASE_3_12
git_last_commit: abcc9ca
git_last_commit_date: 2021-01-29
Date/Publication: 2021-01-30
NeedsCompilation: no
Packaged: 2021-01-31 01:19:33 UTC; biocbuild
Author: Constantin Ahlmann-Eltze [aut]
    (<https://orcid.org/0000-0002-3762-068X>),
  Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),
  Hervé Pagès [aut]
Maintainer: Peter Hickey <peter.hickey@gmail.com>

=== debian/changelog ===
r-bioc-matrixgenerics (1.2.1-4) unstable; urgency=high

  * Team upload.
  * Bump r-cran-matrixstats dependency to (>= 0.58.0). Closes: #982621

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Feb 2021 09:36:49 +0100

r-bioc-matrixgenerics (1.2.1-3) unstable; urgency=high

  * Team upload.
  * debian/control: also add tighter r-cran-matrixstats dependency to the
    binary package

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 08:36:37 +0100

r-bioc-matrixgenerics (1.2.1-2) unstable; urgency=high

  * Team upload.
  * debian/control: r-cran-matrixstats 0.57.0 is insufficient

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 13:24:18 +0100

r-bioc-matrixgenerics (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Feb 2021 14:36:19 +0100

r-bioc-matrixgenerics (1.2.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 08:27:23 +0100

r-bioc-matrixgenerics (1.2.0-1) unstable; urgency=medium

  * Initial release (closes: #973602)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 21:11:27 +0100

=== debian/control ===
Source: r-bioc-matrixgenerics
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrixstats (>= 0.58.0)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics.git
Homepage: https://bioconductor.org/packages/MatrixGenerics/
Rules-Requires-Root: no

Package: r-bioc-matrixgenerics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-matrixstats (>= 0.58.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: S4 Generic Summary Statistic Functions that Operate on Matrix-Like Objects
 S4 generic functions modeled after the 'matrixStats' API
 for alternative matrix implementations. Packages with alternative matrix
 implementation can depend on this package and implement the generic
 functions that are defined here for a useful set of row and column
 summary statistics. Other package developers can import this package
 and handle a different matrix implementations without worrying
 about incompatibilities.

## r-bioc-matrixgenerics 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, Software
 URL: https://bioconductor.org/packages/MatrixGenerics
 BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
-Version: 1.2.1
+Version: 1.6.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(person("Constantin", "Ahlmann-Eltze",
@@ -22,7 +22,7 @@
                 comment = c(ORCID = "0000-0002-8153-6258")),
             person("Hervé", "Pagès", email = "hpages.on.github@gmail.com",
                 role = "aut"))
-Depends: matrixStats (> 0.57.0)
+Depends: matrixStats (>= 0.60.1)
 Imports: methods
 Suggests: sparseMatrixStats, DelayedMatrixStats, SummarizedExperiment,
         testthat (>= 2.1.0)
@@ -39,12 +39,12 @@
         'rowVars.R' 'rowWeightedMads.R' 'rowWeightedMeans.R'
         'rowWeightedMedians.R' 'rowWeightedSds.R' 'rowWeightedVars.R'
 git_url: https://git.bioconductor.org/packages/MatrixGenerics
-git_branch: RELEASE_3_12
-git_last_commit: abcc9ca
-git_last_commit_date: 2021-01-29
-Date/Publication: 2021-01-30
+git_branch: RELEASE_3_14
+git_last_commit: 4588a60
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2021-01-31 01:19:33 UTC; biocbuild
+Packaged: 2021-10-26 21:48:15 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut]
     (<https://orcid.org/0000-0002-3762-068X>),
   Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),

=== debian/changelog ===
r-bioc-matrixgenerics (1.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 11:03:39 +0100

r-bioc-matrixgenerics (1.4.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 07:46:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrixstats (>= 0.58.0)
-Standards-Version: 4.5.1
+               r-cran-matrixstats (>= 0.60.1)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics.git
 Homepage: https://bioconductor.org/packages/MatrixGenerics/
@@ -17,8 +17,7 @@
 Package: r-bioc-matrixgenerics
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-cran-matrixstats (>= 0.58.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: S4 Generic Summary Statistic Functions that Operate on Matrix-Like Objects

## r-bioc-matrixgenerics 1.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, Software
 URL: https://bioconductor.org/packages/MatrixGenerics
 BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
-Version: 1.6.0
+Version: 1.8.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(person("Constantin", "Ahlmann-Eltze",
@@ -25,8 +25,8 @@
 Depends: matrixStats (>= 0.60.1)
 Imports: methods
 Suggests: sparseMatrixStats, DelayedMatrixStats, SummarizedExperiment,
-        testthat (>= 2.1.0)
-RoxygenNote: 7.1.1
+        testthat (>= 2.1.0), Matrix
+RoxygenNote: 7.2.0
 Roxygen: list(markdown = TRUE, old_usage = TRUE)
 Collate: 'MatrixGenerics-package.R' 'rowAlls.R' 'rowAnyNAs.R'
         'rowAnys.R' 'rowAvgsPerColSet.R' 'rowCollapse.R' 'rowCounts.R'
@@ -39,12 +39,12 @@
         'rowVars.R' 'rowWeightedMads.R' 'rowWeightedMeans.R'
         'rowWeightedMedians.R' 'rowWeightedSds.R' 'rowWeightedVars.R'
 git_url: https://git.bioconductor.org/packages/MatrixGenerics
-git_branch: RELEASE_3_14
-git_last_commit: 4588a60
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: a4a2108
+git_last_commit_date: 2022-06-23
+Date/Publication: 2022-06-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:48:15 UTC; biocbuild
+Packaged: 2022-06-26 20:49:39 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut]
     (<https://orcid.org/0000-0002-3762-068X>),
   Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),

=== debian/changelog ===
r-bioc-matrixgenerics (1.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jun 2022 08:06:31 +0200

r-bioc-matrixgenerics (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 13:24:22 +0200

## r-bioc-matrixgenerics 1.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, Software
 URL: https://bioconductor.org/packages/MatrixGenerics
 BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
-Version: 1.8.1
+Version: 1.10.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(person("Constantin", "Ahlmann-Eltze",
@@ -39,12 +39,12 @@
         'rowVars.R' 'rowWeightedMads.R' 'rowWeightedMeans.R'
         'rowWeightedMedians.R' 'rowWeightedSds.R' 'rowWeightedVars.R'
 git_url: https://git.bioconductor.org/packages/MatrixGenerics
-git_branch: RELEASE_3_15
-git_last_commit: a4a2108
-git_last_commit_date: 2022-06-23
-Date/Publication: 2022-06-26
+git_branch: RELEASE_3_16
+git_last_commit: 6d9d907
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-06-26 20:49:39 UTC; biocbuild
+Packaged: 2022-11-01 21:55:43 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut]
     (<https://orcid.org/0000-0002-3762-068X>),
   Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),

=== debian/changelog ===
r-bioc-matrixgenerics (1.10.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 11:13:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-bioc-matrixgenerics
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics.git
+Homepage: https://bioconductor.org/packages/MatrixGenerics/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrixstats (>= 0.60.1)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics.git
-Homepage: https://bioconductor.org/packages/MatrixGenerics/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-matrixgenerics
 Architecture: all

## r-bioc-matrixgenerics 1.12.2

=== debian/changelog ===
r-bioc-matrixgenerics (1.12.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Jul 2023 11:40:25 +0000

## r-bioc-matrixgenerics 1.12.3

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, Software
 URL: https://bioconductor.org/packages/MatrixGenerics
 BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
-Version: 1.10.0
+Version: 1.12.3
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(person("Constantin", "Ahlmann-Eltze",
@@ -22,29 +22,30 @@
                 comment = c(ORCID = "0000-0002-8153-6258")),
             person("Hervé", "Pagès", email = "hpages.on.github@gmail.com",
                 role = "aut"))
-Depends: matrixStats (>= 0.60.1)
+Depends: matrixStats (>= 1.0.0)
 Imports: methods
-Suggests: sparseMatrixStats, DelayedMatrixStats, SummarizedExperiment,
-        testthat (>= 2.1.0), Matrix
-RoxygenNote: 7.2.0
+Suggests: Matrix, sparseMatrixStats, SparseArray, DelayedArray,
+        DelayedMatrixStats, SummarizedExperiment, testthat (>= 2.1.0)
+RoxygenNote: 7.2.3
 Roxygen: list(markdown = TRUE, old_usage = TRUE)
 Collate: 'MatrixGenerics-package.R' 'rowAlls.R' 'rowAnyNAs.R'
         'rowAnys.R' 'rowAvgsPerColSet.R' 'rowCollapse.R' 'rowCounts.R'
         'rowCummaxs.R' 'rowCummins.R' 'rowCumprods.R' 'rowCumsums.R'
         'rowDiffs.R' 'rowIQRDiffs.R' 'rowIQRs.R' 'rowLogSumExps.R'
-        'rowMadDiffs.R' 'rowMads.R' 'rowMaxs.R' 'rowMeans2.R'
-        'rowMedians.R' 'rowMins.R' 'rowOrderStats.R' 'rowProds.R'
-        'rowQuantiles.R' 'rowRanges.R' 'rowRanks.R' 'rowSdDiffs.R'
-        'rowSds.R' 'rowSums2.R' 'rowTabulates.R' 'rowVarDiffs.R'
-        'rowVars.R' 'rowWeightedMads.R' 'rowWeightedMeans.R'
-        'rowWeightedMedians.R' 'rowWeightedSds.R' 'rowWeightedVars.R'
+        'rowMadDiffs.R' 'rowMads.R' 'rowMaxs.R' 'rowMeans.R'
+        'rowMeans2.R' 'rowMedians.R' 'rowMins.R' 'rowOrderStats.R'
+        'rowProds.R' 'rowQuantiles.R' 'rowRanges.R' 'rowRanks.R'
+        'rowSdDiffs.R' 'rowSds.R' 'rowSums.R' 'rowSums2.R'
+        'rowTabulates.R' 'rowVarDiffs.R' 'rowVars.R'
+        'rowWeightedMads.R' 'rowWeightedMeans.R' 'rowWeightedMedians.R'
+        'rowWeightedSds.R' 'rowWeightedVars.R'
 git_url: https://git.bioconductor.org/packages/MatrixGenerics
-git_branch: RELEASE_3_16
-git_last_commit: 6d9d907
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 7349a81
+git_last_commit_date: 2023-07-28
+Date/Publication: 2023-07-30
 NeedsCompilation: no
-Packaged: 2022-11-01 21:55:43 UTC; biocbuild
+Packaged: 2023-07-30 21:11:17 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut]
     (<https://orcid.org/0000-0002-3762-068X>),
   Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),

=== debian/changelog ===
r-bioc-matrixgenerics (1.12.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 14 Aug 2023 12:02:37 +0200

## r-bioc-matrixgenerics 1.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, Software
 URL: https://bioconductor.org/packages/MatrixGenerics
 BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
-Version: 1.12.3
+Version: 1.14.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(person("Constantin", "Ahlmann-Eltze",
@@ -40,12 +40,12 @@
         'rowWeightedMads.R' 'rowWeightedMeans.R' 'rowWeightedMedians.R'
         'rowWeightedSds.R' 'rowWeightedVars.R'
 git_url: https://git.bioconductor.org/packages/MatrixGenerics
-git_branch: RELEASE_3_17
-git_last_commit: 7349a81
-git_last_commit_date: 2023-07-28
-Date/Publication: 2023-07-30
+git_branch: RELEASE_3_18
+git_last_commit: 9a52271
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-07-30 21:11:17 UTC; biocbuild
+Packaged: 2023-10-24 21:46:22 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut]
     (<https://orcid.org/0000-0002-3762-068X>),
   Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),

=== debian/changelog ===
r-bioc-matrixgenerics (1.14.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 21:06:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics.git
 Homepage: https://bioconductor.org/packages/MatrixGenerics/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrixstats (>= 0.60.1)
+               r-cran-matrixstats (>= 1.0.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-matrixgenerics

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/MatrixGenerics.html .*/MatrixGenerics_(.*).tar.gz

## r-bioc-matrixgenerics 1.16.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, Software
 URL: https://bioconductor.org/packages/MatrixGenerics
 BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
-Version: 1.14.0
+Version: 1.16.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(person("Constantin", "Ahlmann-Eltze",
@@ -26,7 +26,7 @@
 Imports: methods
 Suggests: Matrix, sparseMatrixStats, SparseArray, DelayedArray,
         DelayedMatrixStats, SummarizedExperiment, testthat (>= 2.1.0)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Roxygen: list(markdown = TRUE, old_usage = TRUE)
 Collate: 'MatrixGenerics-package.R' 'rowAlls.R' 'rowAnyNAs.R'
         'rowAnys.R' 'rowAvgsPerColSet.R' 'rowCollapse.R' 'rowCounts.R'
@@ -40,12 +40,13 @@
         'rowWeightedMads.R' 'rowWeightedMeans.R' 'rowWeightedMedians.R'
         'rowWeightedSds.R' 'rowWeightedVars.R'
 git_url: https://git.bioconductor.org/packages/MatrixGenerics
-git_branch: RELEASE_3_18
-git_last_commit: 9a52271
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 80e0be9
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:46:22 UTC; biocbuild
+Packaged: 2024-05-01 04:28:02 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut]
     (<https://orcid.org/0000-0002-3762-068X>),
   Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),

=== debian/changelog ===
r-bioc-matrixgenerics (1.16.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: add breaks for the pre-bioc-3.19 version of r-bioc-
    sparsematrixstats as it depends on r-bioc-matrixgenerics for its
    autopkgtests; as a hint to not run those tests using any bioc-3.18
    packages (especially on the 32-bit architectures).

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 17:17:29 +0900

r-bioc-matrixgenerics (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:39:36 +0200

r-bioc-matrixgenerics (1.16.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:42:44 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends}
+Breaks: r-bioc-sparsematrixstats (<< 1.16)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: S4 Generic Summary Statistic Functions that Operate on Matrix-Like Objects

## r-bioc-matrixgenerics 1.18.1

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, Software
 URL: https://bioconductor.org/packages/MatrixGenerics
 BugReports: https://github.com/Bioconductor/MatrixGenerics/issues
-Version: 1.16.0
+Version: 1.18.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(person("Constantin", "Ahlmann-Eltze",
@@ -22,11 +22,11 @@
                 comment = c(ORCID = "0000-0002-8153-6258")),
             person("Hervé", "Pagès", email = "hpages.on.github@gmail.com",
                 role = "aut"))
-Depends: matrixStats (>= 1.0.0)
+Depends: matrixStats (>= 1.4.1)
 Imports: methods
 Suggests: Matrix, sparseMatrixStats, SparseArray, DelayedArray,
         DelayedMatrixStats, SummarizedExperiment, testthat (>= 2.1.0)
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Roxygen: list(markdown = TRUE, old_usage = TRUE)
 Collate: 'MatrixGenerics-package.R' 'rowAlls.R' 'rowAnyNAs.R'
         'rowAnys.R' 'rowAvgsPerColSet.R' 'rowCollapse.R' 'rowCounts.R'
@@ -40,13 +40,13 @@
         'rowWeightedMads.R' 'rowWeightedMeans.R' 'rowWeightedMedians.R'
         'rowWeightedSds.R' 'rowWeightedVars.R'
 git_url: https://git.bioconductor.org/packages/MatrixGenerics
-git_branch: RELEASE_3_19
-git_last_commit: 80e0be9
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 5fb4445
+git_last_commit_date: 2025-01-08
+Repository: Bioconductor 3.20
+Date/Publication: 2025-01-09
 NeedsCompilation: no
-Packaged: 2024-05-01 04:28:02 UTC; biocbuild
+Packaged: 2025-01-09 23:05:47 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut]
     (<https://orcid.org/0000-0002-3762-068X>),
   Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),

=== debian/changelog ===
r-bioc-matrixgenerics (1.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:08:09 +0100

r-bioc-matrixgenerics (1.18.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:55:07 +0100

r-bioc-matrixgenerics (1.18.0-1) experimental; urgency=medium

  * Team upload.
  * Those breaks weren't useful, so remove them. (They weren't harmful
    either)
  * New upstream release.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:50:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,18 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-matrixgenerics.git
 Homepage: https://bioconductor.org/packages/MatrixGenerics/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrixstats (>= 1.0.0)
+               r-cran-matrixstats (>= 1.4.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-matrixgenerics
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends}
-Breaks: r-bioc-sparsematrixstats (<< 1.16)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: S4 Generic Summary Statistic Functions that Operate on Matrix-Like Objects
